## Simple project for learning DRF(Django Rest Framework)

### Create virtual environment
```shell
python -m venv venv
```

### Activate virtual environment on linux
```shell
source venv/bin/activate
```

### Activate virtual environment on windows
```shell
venv\Scripts\activate
```

### Install packages
```shell
pip install -r requirements.txt
```

### Generate migrations from model classes
```shell
python manage.py makemigrations
```

### Execute migrations to database
```shell
python manage.py migrate
```

### Execute migrations to database
```shell
python manage.py migrate
```

### Run Project
```shell
python manage.py runserver
```

### Create superuser
```shell
python manage.py createsuperuser
```

### Create new app
```shell
python manage.py startapp <appName>
```